Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8157109

Support version 1 cert generation in keytool

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Closed
    • Priority: P4
    • Resolution: Won't Fix
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: security-libs
    • Labels:
      None

      Description

      Keytool used to generate version 1 self-signed certificates. Now it is
      mandatory to be version 3. Default version 3 should be OK. However, in
      some circumstances (for example for testing purpose), version 1
      self-signed certificate may still be useful.

      It would be a low priority, but may be nice to add an option to support
      specified certificate version number for certificate generation.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              weijun Weijun Wang
              Reporter:
              weijun Weijun Wang
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: